<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="peso">
        <h2 class="jh-entity-heading" data-cy="pesoDetailsHeading">
          <span v-text="$t('gatewayApp.expedientemanualPeso.detail.title')">Peso</span> {{ peso.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualPeso.pesoKG')">Peso KG</span>
          </dt>
          <dd>
            <span>{{ peso.pesoKG }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualPeso.descripcion')">Descripcion</span>
          </dt>
          <dd>
            <span>{{ peso.descripcion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualPeso.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="peso.fechaRegistro">{{ $d(Date.parse(peso.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.expedientemanualPeso.user')">User</span>
          </dt>
          <dd>
            {{ peso.user ? peso.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="peso.id" :to="{ name: 'PesoEdit', params: { pesoId: peso.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./peso-details.component.ts"></script>
